package util

import (
	"os"
	"testing"
)

func TestMkdirTimestamped(t *testing.T) {
	dir, err := os.CreateTemp("", "testdir")
	dirNew, err := MkdirTimestamped(dir.Name())

	defer os.Remove(dir.Name())

	if err != nil {
		t.Errorf("mkdir %v error %v\n", dirNew, err)
	}
	t.Logf("dir: %v -> %v", dir, dirNew)

	_, err = os.Stat(dirNew)
	if err != nil {
		t.Errorf("mkdir %v error %v\n", dirNew, err)
	}
}

// func TestMoveFiletoDir(t *testing.T) { }
